#1
  1. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2004
    Posts
    327
    Rep Power
    0

    While installing WWW-Mechanize-Firefox- i get bad Make-Test


    hello dear devshed friends





    on my notebook i wanted to run A SCRIPT - i got errors over errors.
    then i decided to install WWW-Mechanize-Firefox-0.68.tar.gz





    well if i want to run this script here:
    PHP Code:

    #!/usr/bin/perl
     
    use WWW::Mechanize::Firefox;
    use 
    strict;
    use 
    warnings;
    #use Parallel::ForkManager;
     
     
     
    #my $fork = Parallel::ForkManager->new(2);
     
    #sites
    my @urls qw(http://www.google.com http://www.yahoo.com http://www.cnn.com http://www.bing.com http://www.nbcnews.com/);
    #temp base dir
    my $temp '/home/aaron/cgi-bin/';
     
    for 
    my $each (@urls){
        
    #$fork->start and next;
        
    my $mech WWW::Mechanize::Firefox->new(launch => 'firefox',create => 1,);
        
        
    $each =~ /www\.(\w+)\.com/;
        
    my $name = $1;
        print 
    "creating $name.png\n";
        
        
        
    $mech->get($each);
        
    my $png $mech->content_as_png(undefundef, {width => 240,height => 240});
        
        
    my $dir_name "$temp/$name".".png";
        
    open my $file">""$dir_nameor die "couldnt create $temp/$1.png";
        
    binmode $file;
        print {
    $file$png;
        
        
    close $file;
        
    sleep 5# sleep some to give it a little time to make sure things compleated..... you'll need this more using fork
        
        #$fork->finish;
    }
    print 
    "Well All done!\n";
    #$fork->wait_all_children; 

    i get this error


    PHP Code:
    martin@linux-wyee:~/perlperl moz_test2.pl
    Can
    't locate WWW/Mechanize/Firefox.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.16.0/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.16.0 /usr/lib/perl5/vendor_perl/5.16.0/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.16.0 /usr/lib/perl5/5.16.0/i586-linux-thread-multi /usr/lib/perl5/5.16.0 /usr/lib/perl5/site_perl/5.16.0/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.16.0 /usr/lib/perl5/site_perl .) at moz_test2.pl line 3.
    BEGIN failed--compilation aborted at moz_test2.pl line 3.
    martin@linux-wyee:~/perl> 
    well - this makes me believe that i need www-mechanize-firefox
    what do you think

    while installing i run into issues:
    i run into troubles : see the following:

    PHP Code:
      Parse errorsNo plan found in TAP output
    Files
    =83Tests=78,  7 wallclock secs 0.26 usr  0.08 sys +  4.64 cusr  0.56 csys =  5.54 CPU)
    ResultFAIL
    Failed 78
    /83 test programs14/78 subtests failed.
    make: *** [test_dynamicFehler 2
      CORION
    /WWW-Mechanize-Firefox-0.68.tar.gz
    one dependency not OK 
    (MozRepl::RemoteObject); additionally test harness failed
      
    /usr/bin/make test -- NOT OK
    //hint// to see the cpan-testers results for installing this module, try:
      
    reports CORION/WWW-Mechanize-Firefox-0.68.tar.gz
    Running make install
      make test had returned bad status
    won't install without force
    Failed during this command:
     ZIGOROU/MozRepl-0.06.tar.gz                  : make_test NO
     CORION/MozRepl-RemoteObject-0.34.tar.gz      : make_test NO one dependency not OK (MozRepl)
     CORION/WWW-Mechanize-Firefox-0.68.tar.gz     : make_test NO one dependency not OK (MozRepl::RemoteObject); additionally test harness failed 

    well the question of the day is the following:


    do i need make!?

    pl lemme know.. thx alot..
    greetings.
    Last edited by metabo; October 28th, 2012 at 10:37 AM.
  2. #2
  3. !~ /m$/
    Devshed Specialist (4000 - 4499 posts)

    Join Date
    May 2004
    Location
    Reno, NV
    Posts
    4,264
    Rep Power
    1810
    Looks like you have make already.

    Troubleshooting
  4. #3
  5. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2004
    Posts
    327
    Rep Power
    0
    hello dear keath

    many man thanks - great to hear from you. i am delighted

    Originally Posted by keath
    Looks like you have make already.

    Troubleshooting
    guess that you were right.

    if i have a closer look at the mozilla FF i see that the mozrepl is installed and the
    activation button is allready clicked [too]

    but wait: i
    3. Start mozrepl in Firefox by going to the menu: "Tools" -> "MozRepl" -> "Start" You may want to tick the "Activate on startup" item.

    If tests still fail, especially t/50-click.t and 51-mech-submit.t , this might be because you use the NoScript Mozilla extension and have it blocking Javascript for file:// URLs. While this is good, the tests need Javascript enabled.

    Solution: 1. Open t/50-click.html in Firefox 2. Allow Javascript for all file:// URLs 3. Re-run tests 4. No test should fail
    i am very very sure that i have the NoScript-Mozilla extension - but 100% sure is that i have it blocking JavaScript for file://Urls

    well what should i do here - now!?


    I try to allow JavaScript! And then i test it again

    i come back here and report all my findings

    meanwhile have a great day


    update: well i see that javascript is enablet - what should i do now!? How can i proceed

    love to hear from you

    greetings
    martin
    Last edited by metabo; October 28th, 2012 at 12:35 PM.
  6. #4
  7. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2004
    Posts
    327
    Rep Power
    0
    Installed WWW-Mechanize-Firefox and got very very bad response from terminal

    guess you were refering this one here:

    http://search.cpan.org/~corion/WWW-Mechanize-Firefox-0.68/INSTALL


    https://addons.mozilla.org/de/firefox/addon/mozrepl/

    first review:
    This is a great addon but this version doesn't work with firefox 8.0.
    I know that they is a version that works with firefox 8.0 but i can't find a xpi version of this version.
    Is there anywhere this version in .xpi file in the Internet?
    If there isn't, can I make a .xpi version of this mozrepl version and give it into the Internet. I simply need use the mozrepl to one of my programm and I need to give it my clients in the most simply way.


    second review
    Unfortunately I had to fall back to Version 1.1beta2. After upgrading to Version 1.1 on 12/15/2011 - Keeform (an addon to Keepass) was no longer autofilling form fields. Hey I know FF v3.6.25 is old - but comments indicate that it is still supported by MozRepl.
    *Updated 12/21/11* - Very Kind of the developer to respond here - and I too have re-checked/reinstalled using latest MozRepl - now under FFv.3.6.25 - with the same results. The V1.1beta2 version from GitHub works - but not the version available here. Not looking for a fix / just sharing my experience - so if someone else has the same problem - they can find a version that may works for them.


    question: probably the mozrepl does not work with my version of Mozilla!?

    have to check this later the day

    right now i am not at home

    greetings
    matzeInstalled WWW-Mechanize-Firefox and got very very bad response from terminal

    guess you were refering this one here:

    http://search.cpan.org/~corion/WWW-Mechanize-Firefox-0.68/INSTALL


    https://addons.mozilla.org/de/firefox/addon/mozrepl/

    first review:
    This is a great addon but this version doesn't work with firefox 8.0.
    I know that they is a version that works with firefox 8.0 but i can't find a xpi version of this version.
    Is there anywhere this version in .xpi file in the Internet?
    If there isn't, can I make a .xpi version of this mozrepl version and give it into the Internet. I simply need use the mozrepl to one of my programm and I need to give it my clients in the most simply way.


    second review
    Unfortunately I had to fall back to Version 1.1beta2. After upgrading to Version 1.1 on 12/15/2011 - Keeform (an addon to Keepass) was no longer autofilling form fields. Hey I know FF v3.6.25 is old - but comments indicate that it is still supported by MozRepl.
    *Updated 12/21/11* - Very Kind of the developer to respond here - and I too have re-checked/reinstalled using latest MozRepl - now under FFv.3.6.25 - with the same results. The V1.1beta2 version from GitHub works - but not the version available here. Not looking for a fix / just sharing my experience - so if someone else has the same problem - they can find a version that may works for them.


    question: probably the mozrepl does not work with my version of Mozilla!?

    have to check this later the day

    right now i am not at home

    greetings
    matze

IMN logo majestic logo threadwatch logo seochat tools logo